summaryrefslogtreecommitdiff
path: root/trunk/qpid/cpp/examples/verify_all
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/qpid/cpp/examples/verify_all')
-rwxr-xr-xtrunk/qpid/cpp/examples/verify_all54
1 files changed, 54 insertions, 0 deletions
diff --git a/trunk/qpid/cpp/examples/verify_all b/trunk/qpid/cpp/examples/verify_all
new file mode 100755
index 0000000000..baffd422ad
--- /dev/null
+++ b/trunk/qpid/cpp/examples/verify_all
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# Verify all C++/python example combinations.
+#
+
+verify=`dirname $0`/verify
+topsrcdir=$1
+topbuilddir=$2
+qpidd=$topbuilddir/src/qpidd
+broker_args=$3
+exclude_regexp=$4
+python=${QPID_PYTHON_DIR:-$topsrcdir/python}
+
+trap "$qpidd -q" exit
+QPID_PORT=`$qpidd -dp0 $broker_args` || { echo "Can't run qpidd" ; exit 1; }
+PYTHON_EXAMPLES=$python/examples
+PYTHONPATH=$python:$PYTHONPATH
+export QPID_PORT PYTHON_EXAMPLES PYTHONPATH
+
+test -d $PYTHON_EXAMPLES || echo "WARNING: No python examples. $PYTHON_EXAMPLES not found."
+find="find $topsrcdir/cpp/examples"
+test -d $PYTHON_EXAMPLES && find="$find $PYTHON_EXAMPLES"
+find="$find -mindepth 2 -name verify"
+test -d $PYTHON_EXAMPLES && \
+ find="$find -o -name verify_cpp_python -o -name verify_python_cpp"
+all_examples=`$find`
+
+if test -z "$exclude_regexp"; then
+ run_examples=$all_examples
+else
+ for f in $all_examples; do
+ { cat $f | grep $exclude_regexp > /dev/null ; } || run_examples="$run_examples $f"
+ done
+fi
+$verify $topsrcdir $topbuilddir $run_examples